class CreatePanelPictures < ActiveRecord::Migration
  def change
    create_table :panel_pictures do |t|
      t.integer :panel_id, :null => false
      t.integer :resource_picture_id, :null => false
      t.string :link, :limit => 200
      t.integer :x, :null => false
      t.integer :y, :null => false
      t.integer :z, :null => false
      t.integer :t, :null => false
      t.integer :width, :null => false
      t.integer :height, :null => false

      t.timestamps
    end
    add_index :panel_pictures, [:panel_id, :t], :unique => true, :name => 'panel_pictures_idt'
  end
end
